Favicon

You are here: Home > API Reference > Workspace > User Authentication > Register user

Register user

Register user

POST
/v1/auth/register
Copy to clipboard

Register user

Register user

Request

Body Params application/json
email string required
≤ 256 characters · Format: email
password string required
≤ 128 characters · ≥ 8 characters
firstName string required
≤ 128 characters
lastName string required
≤ 128 characters
newsletter boolean required
language string optional
es en fr de it zh pt ru
{
    "email": "[email protected]",
    "password": "string",
    "firstName": "string",
    "lastName": "string",
    "newsletter": true,
    "language": "es"
}

Responses

200 Response application/json
status boolean optional
data object optional
done boolean optional
message string optional
≤ 256 characters
{
    "status": true,
    "data": {
        "done": true,
        "message": "string"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
6002
message string optional
Body Validation Error
{
    "status": false,
    "error": {
        "code": 5035,
        "message": "Invalid email domain"
    }
}
403 Response application/json
status boolean optional
false
error object optional
code number optional
4009
message string optional
The operation can not be completed at this time. If you already registered an account with this email address, try to log-in
{
    "status": false,
    "error": {
        "code": 4009,
        "message": "The operation can not be completed at this time. If you already registered an account with this email address, try to log-in"
    }
}